Get top articles report for the authenticated tenant
curl --request GET \
--url https://api.octaviatech.app/cms/reports/topArticles \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octaviatech.app/cms/reports/topArticles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octaviatech.app/cms/reports/topArticles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/reports/topArticles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/reports/topArticles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octaviatech.app/cms/reports/topArticles")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/reports/topArticles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"metric": "views",
"limit": 123,
"items": [
{
"articleId": "<string>",
"slug": "<string>",
"mainTitle": "<string>",
"isPublished": true,
"publishDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"views": 123,
"likes": 123,
"dislikes": 123,
"shares": 123,
"commentsCount": 123,
"engagementScore": 123,
"engagementRate": 123,
"contentSource": "<string>",
"categoryIds": [
"<string>"
],
"author": {
"authorId": "<string>",
"slug": "<string>",
"name": "<string>"
}
}
]
}
}Reports
Top Articles Report
Top Articles Report.
GET
/
reports
/
topArticles
Get top articles report for the authenticated tenant
curl --request GET \
--url https://api.octaviatech.app/cms/reports/topArticles \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octaviatech.app/cms/reports/topArticles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octaviatech.app/cms/reports/topArticles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/reports/topArticles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/reports/topArticles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octaviatech.app/cms/reports/topArticles")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/reports/topArticles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"metric": "views",
"limit": 123,
"items": [
{
"articleId": "<string>",
"slug": "<string>",
"mainTitle": "<string>",
"isPublished": true,
"publishDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"views": 123,
"likes": 123,
"dislikes": 123,
"shares": 123,
"commentsCount": 123,
"engagementScore": 123,
"engagementRate": 123,
"contentSource": "<string>",
"categoryIds": [
"<string>"
],
"author": {
"authorId": "<string>",
"slug": "<string>",
"name": "<string>"
}
}
]
}
}Authorizations
Query Parameters
Available options:
views, engagement, publishDate Required range:
1 <= x <= 100Was this page helpful?

